如何解决vue项目中 scss 不支持 scoped 的 /deep/ 穿透写法 - =.= - 博客园

如何解决vue项目中 scss 不支持 scoped 的 /deep/ 穿透写法

用过vue的人估计都用过scoped样式属性,但有时候需要穿透样式,啥办? 很多资料都说用>>> 或者 /deep/; 好,这没有什么问题,笔者之前用less的时候,一直用/deep/的,一直都没有bug,但最近的项目用的是scss/sass, 那么问题就出来了,
scss/sass下用/deep/居然会报错,那我用回>>>吧,但是没有效果。。。 💔

经过查找资料,找到了解决方法,就是用::v-deep, 官方文档我都给你贴出来了传送门 😄


原网址: 访问
创建于: 2022-01-15 14:01:37
目录: default
标签: 无

请先后发表评论
  • 最新评论
  • 总共0条评论